Browser Support

Given we provide boilerplate WebApps designing for accessibility, we would like to have optionality to support broad range of browsers. We look to following the standards set by Government Digital Services (GDS) on designing our WebApp and testing for compatibility. Amido's stacks supports latest version of modern browsers.

Next.js supports IE11 and all modern browsers out of the box using @babel/preset-env.

Polyfills support

In cases where your own code or any external NPM dependencies you are using requires features not supported by your target browsers you will need to implement polyfills.

Please note: Next's polyfills example demonstrates the recommended approach to implement polyfills.

Tools used

To find out the list of supported browsers

# run the following on the root level
npx browserslist

If you do not have npx already: "npm install -g npx"